### Interface

# Gimp Rasterizable

#### Description [src]

    interface Gimp.Rasterizable : Gimp.Drawable

Functions for querying and manipulating rasterizable items.

#### Prerequisite

In order to implement Rasterizable, your type must inherit from`GimpDrawable`.

#### Implementations

- GimpLinkLayer
- GimpTextLayer
- GimpVectorLayer

#### Instance methods

###### gimp_rasterizable_is_rasterized

Return whether `item` has been rasterized.

since: 3.2

###### gimp_rasterizable_rasterize

Rasterize the object.

since: 3.2

###### gimp_rasterizable_restore

Revert the rasterization of `item`.

since: 3.2

#### Interface structure

    struct GimpRasterizableInterface {
      GTypeInterface base_iface;

    }

No description available.

###### Interface members

`base_iface` |
    GTypeInterface
| No description available.